import { BindingKey } from '@loopback/core';
import { VerifyFunction } from 'loopback4-authentication';
import { PreSignupFn, UserSignupFn } from '../types';
import { GooglePostVerifyFn, GooglePreVerifyFn, GoogleSignUpFn, InstagramPostVerifyFn, InstagramPreVerifyFn, InstagramSignUpFn, KeyCloakPostVerifyFn, KeyCloakPreVerifyFn, KeyCloakSignUpFn, CodeReaderFn, CodeWriterFn } from './types';
export declare namespace SignUpBindings {
    const GOOGLE_SIGN_UP_PROVIDER: BindingKey<GoogleSignUpFn>;
    const INSTAGRAM_SIGN_UP_PROVIDER: BindingKey<InstagramSignUpFn>;
    const KEYCLOAK_SIGN_UP_PROVIDER: BindingKey<KeyCloakSignUpFn>;
    const PRE_LOCAL_SIGNUP_PROVIDER: BindingKey<PreSignupFn<any, any>>;
    const LOCAL_SIGNUP_PROVIDER: BindingKey<UserSignupFn<any, any>>;
}
export declare namespace VerifyBindings {
    const GOOGLE_PRE_VERIFY_PROVIDER: BindingKey<GooglePreVerifyFn>;
    const GOOGLE_POST_VERIFY_PROVIDER: BindingKey<GooglePostVerifyFn>;
    const INSTAGRAM_POST_VERIFY_PROVIDER: BindingKey<InstagramPostVerifyFn>;
    const INSTAGRAM_PRE_VERIFY_PROVIDER: BindingKey<InstagramPreVerifyFn>;
    const KEYCLOAK_PRE_VERIFY_PROVIDER: BindingKey<KeyCloakPreVerifyFn>;
    const KEYCLOAK_POST_VERIFY_PROVIDER: BindingKey<KeyCloakPostVerifyFn>;
    const BEARER_SIGNUP_VERIFY_PROVIDER: BindingKey<VerifyFunction.GenericAuthFn<any>>;
}
export declare namespace AuthCodeBindings {
    const CODEWRITER_PROVIDER: BindingKey<CodeWriterFn>;
    const CODEREADER_PROVIDER: BindingKey<CodeReaderFn>;
}
